Bug Hunting Session
Bug 63662 - "Manual Column Break" is visible onscreen even when "nonprinting characters" is off
Summary: "Manual Column Break" is visible onscreen even when "nonprinting characters" ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.1
Keywords: bibisected, bisected, needsDevEval, regression
Depends on:
Blocks:
 
Reported: 2013-04-17 23:00 UTC by haim kilov
Modified: 2017-05-19 10:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The text "Manual Column Break" is visible onscreen even when "nonprinting characters" is off. See the screenshot. OpenOffice treats the odt file correctly. (This is the odt file) (9.24 KB, application/vnd.oasis.opendocument.text)
2013-04-17 23:00 UTC, haim kilov
Details
This is the screenshot. (24.96 KB, image/jpeg)
2013-04-17 23:01 UTC, haim kilov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description haim kilov 2013-04-17 23:00:28 UTC
Created attachment 78158 [details]
The text "Manual Column Break" is visible onscreen even when "nonprinting characters" is off. See the screenshot. OpenOffice treats the odt file correctly. (This is the odt file)

The text "Manual Column Break" is visible onscreen even when "nonprinting characters" is off. See the screenshot. OpenOffice treats the odt file correctly.
Comment 1 haim kilov 2013-04-17 23:01:57 UTC
Created attachment 78159 [details]
This is the screenshot.
Comment 2 Joel Madero 2013-04-18 01:34:36 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.5.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Trivial - doesn't prevent high quality work nor slow it down, just a trivial bug
Lowest - default for trivial bug, appropriate here

Keywords - 

Whiteboard Status - ProposedEasyHacks

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 haim kilov 2013-04-18 01:55:28 UTC
I would disagree with the "lowest" priority and with the statement that the bug "doesn't prevent high quality work nor slow it down". While the bug is indeed trivial, a (non-IT) client who looks at the screen representing his texts and sees "Manual Column Break" will be astonished and possibly annoyed. Client's happiness is important! [Telling the client that this will not be visible in the printout might make him even more annoyed.]
Comment 4 Joel Madero 2013-04-18 04:34:35 UTC
I suspect that anyone using the feature would be at least quasi tech knowledgeable. But, I can see your point, raising it to minor - low priority.


Minor - can perhaps slow down or confuse users but hopefully this would be a one time confusion (once they saw that it didn't print this way they would know it's quite a minor irritation).

Low - default for minor bugs
Comment 5 Joel Madero 2014-02-27 22:55:19 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 6 Cor Nouws 2014-04-01 12:48:01 UTC
Hi,

I hear people complaining about this. It is simply stupid when you have to read text that has "manual column break" displayed though :)

Was OK in 3.5. Fist bad is 3.6.0alpha1 > regression
Setting severity & priority to normal
Comment 7 kengraebe 2014-08-15 21:32:05 UTC
wouldn't everyone be happy if show non printing characters used other than a paragraph symbol to show the LOCATION of a unique character for a line, column &
page break. i would as i have huge problems with multiple tables within frames within each of 3 columns. it would save me the trouble of filing a bug report or enhancement request.
Comment 8 Robinson Tryon (qubit) 2015-03-05 18:39:45 UTC
(In reply to Cor Nouws from comment #6)
> Was OK in 3.5. Fist bad is 3.6.0alpha1 > regression

Whiteboard -> bibisectRequest
Comment 9 John Statler 2015-04-22 20:56:03 UTC
The visual "Manual Column Break" is very ugly and I urge it to be hidden.

Especially now that column breaks can be removed with backspace or delete without losing the return and paragraph style of the following paragraph.

Thanks to everyone who helps make LibreOffice usable.

John in Oregon
Comment 10 Joel Madero 2015-04-22 20:58:51 UTC
@John -

A bibisect would be fantastic if you can give it a go: https://wiki.documentfoundation.org/QA/HowToBibisect

If you need help you can jump into the chat and say hello: http://webchat.freenode.net/?channels=libreoffice-qa
Comment 11 Michael Weghorn 2015-08-20 21:22:38 UTC
I bibisected where this change was introduced, so that the text is shown.
Result (using the "bibisect-43all" bibisect repository):

17e12c3da15c53847d05ba62c3fe0682c6a2d7c8 is the first bad commit
commit 17e12c3da15c53847d05ba62c3fe0682c6a2d7c8
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Apr 25 21:06:01 2012 +0200

    source-hash-0a45b102953a86ea3f26ffd5740f791b3f752f08
    
    commit 0a45b102953a86ea3f26ffd5740f791b3f752f08
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Thu Feb 23 20:43:33 2012 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Feb 23 20:45:03 2012 +0000
    
        don't point inline at non-existing method

:100644 100644 ff16a7d2718159a8f4b4cf1db9917c1f980635c8 1ca6cee3959cad3dcc1d73618e665c741112d225 M	autogen.log
:100644 100644 98cf61bcde5d45656ba31487c361dfd42c886e2b eac1f0f0d06688874d85c4c0a63083b3e6eeef97 M	ccache.log
:100644 100644 3ebd1da83a810f7600001f505cf8eded1121072a 6cb1d7413157641eb33cf71a22296bc3b44d328e M	commitmsg
:100644 100644 0fa9f5c201c17199ecfda0315ffc368e839d5dbd 00a154eb3de983192750a7ee2b061aa72a796bd9 M	dev-install.log
:100644 100644 b5b7f6256c81c8da675d6fd8b994bcbe70a4c09d e657c0cc1258c09dd8af19c59649a5b056f4a9b9 M	make.log
:040000 040000 e8f2fb527e9169d76efec83d98aa06097344893d 3f0332778eddd6568aa88017dfdb0502fb8efa58 M	opt

---

$ git bisect log
# bad: [a71a4447320f177181c9cff9f7c6fd93802cbd8e] source-hash-9afb6e1e38c362a768e8e981f7b03cf8bcaf22cf
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'last36onmaster' 'oldest'
# good: [04746b5b017ecad838aeda925efd0a41e8cbb77c] source-hash-02192b8366c9301ab168770963a88292f4051f52
git bisect good 04746b5b017ecad838aeda925efd0a41e8cbb77c
# bad: [9236fd0352a4a587faac6f15f6b3b5331301380f] source-hash-250feedd8e50e5eb52682a194823567ba5287c60
git bisect bad 9236fd0352a4a587faac6f15f6b3b5331301380f
# bad: [9eb3d13fd2ebe213dfdbd22cae8fe6c7f2998959] source-hash-53f661b3140fe728fe3b8f421841dcb8e6f716ab
git bisect bad 9eb3d13fd2ebe213dfdbd22cae8fe6c7f2998959
# bad: [586a46cf017f9fd8667ed0d42841977deec37848] source-hash-b9b8ae8a484471ce067ad09dc96cad0d87285a6f
git bisect bad 586a46cf017f9fd8667ed0d42841977deec37848
# bad: [17e12c3da15c53847d05ba62c3fe0682c6a2d7c8] source-hash-0a45b102953a86ea3f26ffd5740f791b3f752f08
git bisect bad 17e12c3da15c53847d05ba62c3fe0682c6a2d7c8
# good: [47cb8ea05f3b6f5b73fde7c3defff67f37692785] source-hash-5f06a2b734941a79983ecf8476b412bf6ce5e9e8
git bisect good 47cb8ea05f3b6f5b73fde7c3defff67f37692785
# good: [378efb6e51212a05d1bd4b85c916eec5753c1744] source-hash-d453788ac0476cc02b929b0907718ca771d6d956
git bisect good 378efb6e51212a05d1bd4b85c916eec5753c1744
# first bad commit: [17e12c3da15c53847d05ba62c3fe0682c6a2d7c8] source-hash-0a45b102953a86ea3f26ffd5740f791b3f752f08
Comment 12 Michael Weghorn 2015-08-20 21:25:53 UTC
The respective source commit is probably the following:

commit b86ea3948d5a8d43a385ba5851386d8f1daac8c2
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Feb 21 09:40:38 2012 +0100

    Make column breaks indicator independent of meta-char viewing

diff --git a/sw/source/core/layout/paintfrm.cxx b/sw/source/core/layout/paintfrm.cxx
index ba89741..615c7fc 100644
--- a/sw/source/core/layout/paintfrm.cxx
+++ b/sw/source/core/layout/paintfrm.cxx
@@ -3396,8 +3396,7 @@ void SwColumnFrm::PaintBreak( ) const
                 //    * Non-printing characters are shown, as this is more consistent
                 //      with other formatting marks
                 if ( !pGlobalShell->IsShowHeaderFooterSeparator( Header ) &&
-                     !pGlobalShell->IsShowHeaderFooterSeparator( Footer ) &&
-                      pGlobalShell->GetViewOptions( )->IsLineBreak( ) )
+                     !pGlobalShell->IsShowHeaderFooterSeparator( Footer ) )
                 {
                     SwRect aRect( pCnt->Prt() );
                     aRect.Pos() += pCnt->Frm().Pos();
Comment 13 Robinson Tryon (qubit) 2015-12-14 05:21:34 UTC Comment hidden (obsolete)
Comment 14 Commit Notification 2016-07-27 11:30:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e63e60d6f00ee690fafb9f21f2cafb08a6ad92e

Resolves: tdf#63662 'Manual Column Break' always visible...

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-07-28 14:30:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f834632d11bfa55654b40f9cf6fc146ee2cd70e4&h=libreoffice-5-2

Resolves: tdf#63662 'Manual Column Break' always visible...

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.